# PSF-LoginServer - master - net.psforever.packet.game.CreateShortcutMessage
PSF - LoginServer - master - net.psforever.packet.game.CreateShortcutMessage
Keywords: PSF LoginServer master net.psforever.packet.game.CreateShortcutMessage

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package packet
  Definition Classes
    psforever
-  package game
  Definition Classes
    packet
-  package objectcreate
  Definition Classes
    game
- ActionCancelMessage
- ActionProgressMessage
- ActionResultMessage
- Additional1
- Additional2
- Additional3
- AggravatedDamageMessage
- ArmorChangedMessage
- AvatarDeadStateMessage
- AvatarFirstTimeEventMessage
- AvatarGrenadeStateMessage
- AvatarImplantMessage
- AvatarJumpMessage
- AvatarSearchCriteriaMessage
- AvatarStatisticsMessage
- AvatarVehicleTimerMessage
- BattleDiagramAction
- BattleExperienceMessage
- BattleplanMessage
- BeginZoningMessage
- BindPlayerMessage
- BindStatus
- BroadcastWarpgateUpdateMessage
- BugReportMessage
- BugType
- BuildingInfoUpdateMessage
- CaptureFlagUpdateMessage
- CargoMountPointStatusMessage
- ChainLashMessage
- ChangeAmmoMessage
- ChangeFireModeMessage
- ChangeFireStateMessage_Start
- ChangeFireStateMessage_Stop
- ChangeShortcutBankMessage
- CharacterCreateRequestMessage
- CharacterInfoMessage
- CharacterKnowledgeInfo
- CharacterKnowledgeMessage
- CharacterNoRecordMessage
- CharacterRequestAction
- CharacterRequestMessage
- ChatChannel
- ChatMsg
- ChildObjectStateMessage
- CloudInfo
- ConnectToWorldMessage
- ConnectToWorldRequestMessage
- ContinentalLockUpdateMessage
- CreateShortcutMessage
- DamageFeedbackMessage
- DamageMessage
- DamageWithPositionMessage
- DataChallenge
- DataChallengeMessage
- DataChallengeMessageResp
- DeadState
- DelayedPathMountMsg
- DensityLevelUpdateMessage
- DeployObjectMessage
- DeployOutcome
- DeployRequestMessage
- DeployableIcon
- DeployableInfo
- DeployableObjectsInfoMessage
- DeploymentAction
- DestroyDisplayMessage
- DestroyMessage
- DiagramActionCode
- DiagramStroke
- DisconnectMessage
- DismountBuildingMsg
- DismountVehicleCargoMsg
- DismountVehicleMsg
- DisplayedAwardMessage
- DrawString
- DropItemMessage
- DroppodError
- DroppodFreefallingMessage
- DroppodLaunchInfo
- DroppodLaunchRequestMessage
- DroppodLaunchResponseMessage
- DrowningTarget
- EmoteMsg
- ExperienceAddedMessage
- FacilityBenefitShieldChargeRequestMessage
- FavoritesAction
- FavoritesMessage
- FavoritesRequest
- FireHintMessage
- FlagInfo
- Friend
- FriendAction
- FriendsRequest
- FriendsResponse
- GamePropertyScope
- GamePropertyTarget
- GenericActionEnum
- GenericActionMessage
- GenericCollisionMsg
- GenericObjectActionEnum
- GenericObjectActionMessage
- GenericObjectStateMsg
- HackMessage
- HackState
- HitHint
- HitInfo
- HitMessage
- HotSpotInfo
- HotSpotUpdateMessage
- ImplantAction
- InvalidTerrainMessage
- InventoryStateMessage
- ItemTransactionMessage
- ItemTransactionResultMessage
- KeepAliveMessage
- LashMessage
- LoadMapMessage
- LoginMessage
- LoginRespMessage
- LongRangeProjectileInfoMessage
- LootItemMessage
- MailMessage
- MemberEvent
- MountVehicleCargoMsg
- MountVehicleMsg
- MoveItemMessage
- ObjectAttachMessage
- ObjectCreateDetailedMessage
- ObjectCreateMessage
- ObjectDeleteMessage
- ObjectDeployedMessage
- ObjectDetachMessage
- ObjectDetectedMessage
- ObjectHeldMessage
- OrbitalShuttleTimeMsg
- OrbitalStrikeWaypointMessage
- OxygenStateMessage
- PadAndShuttlePair
- PickupItemMessage
- PingMsg
- PlanetSideZoneID
- PlanetsideAttributeEnum
- PlanetsideAttributeMessage
- PlanetsideStringAttributeMessage
- PlayerStasisMessage
- PlayerStateMessage
- PlayerStateMessageUpstream
- PlayerStateShiftMessage
- ProjectileCharacteristics
- ProjectileStateMessage
- PropertyOverrideMessage
- ProximityTerminalUseMessage
- QuantityDeltaUpdateMessage
- QuantityUpdateMessage
- ReleaseAvatarRequestMessage
- ReloadMessage
- RepairMessage
- ReplicationStreamMessage
- RequestDestroyMessage
- RespawnAMSInfoMessage
- RespawnInfo
- RibbonBarsSlot
- ServerType
- ServerVehicleOverrideMsg
- SetChatFilterMessage
- SetCurrentAvatarMessage
- SetEmpireMessage
- ShiftState
- Shortcut
- SimDataChallenge
- SimDataChallengeResp
- SpawnRequestMessage
- SplashHitMessage
- SplashedTarget
- SquadAction
- SquadDefinitionActionMessage
- SquadDetail
- SquadDetailDefinitionUpdateMessage
- SquadHeader
- SquadInfo
- SquadInvitationRequestMessage
- SquadListing
- SquadMemberEvent
- SquadMembershipRequest
- SquadMembershipResponse
- SquadPositionDetail
- SquadPositionEntry
- SquadState
- SquadStateInfo
- SquadWaypointEvent
- SquadWaypointRequest
- Statistics
- StormInfo
- StreamLengthToken
- StrokeFive
- StrokeSeven
- Style
- TargetInfo
- TargetRequest
- TargetingImplantRequest
- TargetingInfoMessage
- TerrainCondition
- TimeOfDayMessage
- TrainingZoneMessage
- TriggerEffectMessage
- TriggerEnvironmentalDamageMessage
- TriggerSoundMessage
- TriggeredEffect
- TriggeredEffectLocation
- TriggeredSound
- UnuseItemMessage
- UseItemMessage
- VNLWorldStatusMessage
- VehicleStateMessage
- VehicleSubStateMessage
- Vertex
- VoiceHostInfo
- VoiceHostKill
- VoiceHostRequest
- WarpQueuePrompt
- WarpgateRequest
- Waypoint
- WaypointEvent
- WaypointEventAction
- WaypointInfo
- WeaponDelayFireMessage
- WeaponDryFireMessage
- WeaponFireMessage
- WeaponJammedMessage
- WeaponLazeTargetPositionMessage
- WeatherMessage
- WorldConnectionInfo
- WorldInformation
- WorldStatus
- ZipLineMessage
- ZoneForcedCavernConnectionsMessage
- ZoneInfoMessage
- ZoneLockInfoMessage
- ZonePopulationUpdateMessage

c

net.psforever.packet.game

# CreateShortcutMessage 

###
Companion object CreateShortcutMessage

#### final case class CreateShortcutMessage(player_guid: PlanetSideGUID, slot: Int, unk: Int, addShortcut: Boolean, shortcut: Option[Shortcut] = None) extends PlanetSideGamePacket with Product with Serializable

Facilitate a quick-use button for the hotbar.
The hotbar is the eight quick-use slots along the bottom center of the HUD. Each of these slots is the application of a medkit, or use of an implant, or repetition of a text macro. There are actually sixty-four of these slots, eight bound to the Function keys depending on which set is selected.
When `addShortcut` is `true`, the provided `Shortcut` will be defined and attached to the respective hotbar slot indicated by `slot`. If it is `false`, the given `slot` will be unbound. Nothing happens if the `slot` selection is invalid.
This packet coordinates the shortcut both as an upstream and as a downstream packet, leaning heavily towards the latter. An interesting application is that, if the user does not already have a medkit or a medkit shortcut; but, if he places a medkit in his inventory, the shortcut will be automatically added to his hotbar. This, in turn, dispatches a packet informing the server. The prior functionality will rarely be appreciated, however, as players rarely never have their medkit shortcut unbound.

player_guid

  the player

slot

  the hotbar slot number (one-indexed)

unk

  na; always zero?

addShortcut

  true, if we are adding a shortcut; false, if we are removing any current shortcut

shortcut

  optional; details about the shortcut to be created

Source
  CreateShortcutMessage.scala
See also

  ChangeShortcutBankMessage

Linear Supertypes
Product, Equals, PlanetSideGamePacket, PlanetSidePacket, Serializable, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CreateShortcutMessage
2. Product
3. Equals
4. PlanetSideGamePacket
5. PlanetSidePacket
6. Serializable
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new CreateShortcutMessage(player_guid: PlanetSideGUID, slot: Int, unk: Int, addShortcut: Boolean, shortcut: Option[Shortcut] = None)

   player_guid

     the player

   slot

     the hotbar slot number (one-indexed)

   unk

     na; always zero?

   addShortcut

     true, if we are adding a shortcut; false, if we are removing any current shortcut

   shortcut

     optional; details about the shortcut to be created

### Type Members

1.  type Packet = CreateShortcutMessage

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  val addShortcut: Boolean
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
7.  def encode: Attempt[BitVector]
   Definition Classes
     CreateShortcutMessage → PlanetSidePacket
8.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
9.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
10.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
12.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
14.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  def opcode: GamePacketOpcode.Value
    Definition Classes
      CreateShortcutMessage → PlanetSideGamePacket → PlanetSidePacket
16.  val player_guid: PlanetSideGUID
17.  def productElementNames: Iterator[String]
    Definition Classes
      Product
18.  val shortcut: Option[Shortcut]
19.  val slot: Int
20.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
21.  val unk: Int
22.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
23.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
24.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Product

### Inherited from Equals

### Inherited from PlanetSideGamePacket

### Inherited from PlanetSidePacket

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped